# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/clock/allwinner,sun4i-a10-osc-clk.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Allwinner A10 Gatable Oscillator Clock Device Tree Bindings

maintainers:
  - Chen-Yu Tsai <wens@csie.org>
  - Maxime Ripard <mripard@kernel.org>

deprecated: true

properties:
  "#clock-cells":
    const: 0

  compatible:
    const: allwinner,sun4i-a10-osc-clk

  reg:
    maxItems: 1

  clock-frequency:
    description: >
      Frequency of the main oscillator.

  clock-output-names:
    maxItems: 1

required:
  - "#clock-cells"
  - compatible
  - reg
  - clock-frequency
  - clock-output-names

additionalProperties: false

examples:
  - |
    osc24M: clk@1c20050 {
        #clock-cells = <0>;
        compatible = "allwinner,sun4i-a10-osc-clk";
        reg = <0x01c20050 0x4>;
        clock-frequency = <24000000>;
        clock-output-names = "osc24M";
    };

...
